package com.muyu.system.domain.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.core.xss.Xss;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 通知公告表 sys_notice
 *
 * @author muyu
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NoticeResp{
    /**
     * 公告ID
     */
    private Long noticeId;

    /**
     * 公告标题
     */
    private String noticeTitle;

    /**
     * 公告类型（1通知 2公告）
     */
    private String noticeType;

    /**
     * 公告内容
     */
    private String noticeContent;

    /**
     * 公告状态（0正常 1关闭）
     */
    private String status;

    /**
     * 所有通知数量
     */
    private Integer noticeNum;

    /**
     * 已读通知数量
     */
    private Integer readNum;

    /**
     * 未读通知数量
     */
    private Integer unreadNum;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startData;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endData;
}
