package com.muyu.system.domain.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.Date;

/**
 * @Author：胡杨
 * @name：SysNoticeUser
 * @Date：2024/7/20 上午11:32
 * @Description: com.muyu.system.domain
 */

@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class NoticeUserResp {

    /** 用户ID*/
    private Long userId;

    /** 阅读状态 0.未阅读 1.已阅读*/
    private Integer sta;

    /**
     * 公告ID
     */
    private Long noticeId;

    /**
     * 公告标题
     */
    private String noticeTitle;

    /**
     * 公告类型（1通知 2公告）
     */
    private String noticeType;

    /**
     * 公告内容
     */
    private String noticeContent;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startData;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endData;
}
